'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var api = require('./api.js');
var data = require('./data.js');
var objectStylesToString = require('./object-styles-to-string.js');

/**
 * [Storybook](https://guardian.github.io/source/?path=/docs/packages-source-foundations-typography--page#titlepiece) •
 * [Design System](https://theguardian.design/2a1e5182b/p/602314-typography/t/358767)
 *
 * ```
 * font-family: 'GT Guardian Titlepiece';
 * ```
 */
const titlepiece = {
    small: (options) => objectStylesToString.objectStylesToString(api.titlepiece.small(options)),
    medium: (options) => objectStylesToString.objectStylesToString(api.titlepiece.medium(options)),
    large: (options) => objectStylesToString.objectStylesToString(api.titlepiece.large(options)),
};
/**
 * [Storybook](https://guardian.github.io/source/?path=/docs/packages-source-foundations-typography--page#headline) •
 * [Design System](https://theguardian.design/2a1e5182b/p/602314-typography/t/7310bd)
 *
 * ```
 * font-family: 'GH Guardian Headline';
 * ```
 */
const headline = {
    xxxsmall: (options) => objectStylesToString.objectStylesToString(api.headline.xxxsmall(options)),
    xxsmall: (options) => objectStylesToString.objectStylesToString(api.headline.xxsmall(options)),
    xsmall: (options) => objectStylesToString.objectStylesToString(api.headline.xsmall(options)),
    small: (options) => objectStylesToString.objectStylesToString(api.headline.small(options)),
    medium: (options) => objectStylesToString.objectStylesToString(api.headline.medium(options)),
    large: (options) => objectStylesToString.objectStylesToString(api.headline.large(options)),
    xlarge: (options) => objectStylesToString.objectStylesToString(api.headline.xlarge(options)),
};
/**
 * [Storybook](https://guardian.github.io/source/?path=/docs/packages-source-foundations-typography--page#body) •
 * [Design System](https://theguardian.design/2a1e5182b/p/602314-typography/t/88cd8e)
 *
 * ```
 * font-family: 'GuardianTextEgyptian';
 * ```
 */
const body = {
    xsmall: (options) => objectStylesToString.objectStylesToString(api.body.small(options)),
    small: (options) => objectStylesToString.objectStylesToString(api.body.small(options)),
    medium: (options) => objectStylesToString.objectStylesToString(api.body.medium(options)),
};
/**
 * [Storybook](https://guardian.github.io/source/?path=/docs/packages-source-foundations-typography--page#text-sans) •
 * [Design System](https://theguardian.design/2a1e5182b/p/602314-typography/t/076605)
 *
 * ```
 * font-family: 'GuardianTextSans';
 * ```
 */
const textSans = {
    xxsmall: (options) => objectStylesToString.objectStylesToString(api.textSans.xxsmall(options)),
    xsmall: (options) => objectStylesToString.objectStylesToString(api.textSans.xsmall(options)),
    small: (options) => objectStylesToString.objectStylesToString(api.textSans.small(options)),
    medium: (options) => objectStylesToString.objectStylesToString(api.textSans.medium(options)),
    large: (options) => objectStylesToString.objectStylesToString(api.textSans.large(options)),
    xlarge: (options) => objectStylesToString.objectStylesToString(api.textSans.xlarge(options)),
    xxlarge: (options) => objectStylesToString.objectStylesToString(api.textSans.xxlarge(options)),
    xxxlarge: (options) => objectStylesToString.objectStylesToString(api.textSans.xxxlarge(options)),
};

exports.bodySizes = data.bodySizes;
exports.fontMapping = data.fontMapping;
exports.fontWeightMapping = data.fontWeightMapping;
exports.headlineSizes = data.headlineSizes;
exports.lineHeightMapping = data.lineHeightMapping;
exports.remBodySizes = data.remBodySizes;
exports.remHeadlineSizes = data.remHeadlineSizes;
exports.remTextSansSizes = data.remTextSansSizes;
exports.remTitlepieceSizes = data.remTitlepieceSizes;
exports.textSansSizes = data.textSansSizes;
exports.titlepieceSizes = data.titlepieceSizes;
exports.body = body;
exports.headline = headline;
exports.textSans = textSans;
exports.titlepiece = titlepiece;
//# sourceMappingURL=index.js.map
