import { palette } from "./colour/palette";
import { body, headline, textSans, titlepiece } from "./typography/api";
import { bodySizes, fontMapping, fontWeightMapping, headlineSizes, lineHeightMapping, remBodySizes, remHeadlineSizes, remTextSansSizes, remTitlepieceSizes, textSansSizes, titlepieceSizes } from "./typography/data";
declare const brand: {
    100: "#001536";
    300: "#041F4A";
    400: "#052962";
    500: "#0077B6";
    600: "#506991";
    800: "#C1D8FC";
}, brandAlt: {
    200: "#F3C100";
    300: "#FFD900";
    400: "#FFE500";
}, neutral: {
    0: "#000000";
    7: "#121212";
    10: "#1A1A1A";
    20: "#333333";
    46: "#707070";
    60: "#999999";
    86: "#DCDCDC";
    93: "#EDEDED";
    97: "#F6F6F6";
    100: "#FFFFFF";
}, error: {
    400: "#C70000";
    500: "#FF9081";
}, success: {
    400: "#22874D";
    500: "#58D08B";
}, news: {
    100: "#660505";
    200: "#8B0000";
    300: "#AB0613";
    400: "#C70000";
    500: "#FF5943";
    550: "#FF9081";
    600: "#FFBAC8";
    800: "#FFF4F2";
}, opinion: {
    100: "#672005";
    200: "#8D2700";
    300: "#C74600";
    400: "#C74600";
    450: "#E05E00";
    500: "#FF7F0F";
    550: "#FF9941";
    600: "#F9B376";
    800: "#FEF9F5";
}, sport: {
    100: "#003C60";
    200: "#004E7C";
    300: "#005689";
    400: "#0077B6";
    500: "#00B2FF";
    600: "#90DCFF";
    800: "#F1F8FC";
}, culture: {
    50: "#2B2625";
    100: "#3E3323";
    200: "#574835";
    300: "#6B5840";
    350: "#866D50";
    400: "#866D50";
    450: "#A1845C";
    500: "#EACCA0";
    600: "#E7D4B9";
    700: "#EFE8DD";
    800: "#FBF6EF";
}, lifestyle: {
    100: "#510043";
    200: "#650054";
    300: "#7D0068";
    400: "#BB3B80";
    500: "#FFABDB";
    600: "#FEC8D3";
    800: "#FEEEF7";
}, labs: {
    200: "#0C7A73";
    300: "#65A897";
    400: "#69D1CA";
}, specialReport: {
    100: "#222527";
    200: "#303538";
    300: "#3F464A";
    400: "#595C5F";
    450: "#9DA0A2";
    500: "#ABC2C9";
    700: "#E4E5E8";
    800: "#EFF1F2";
}, focus: {
    400: "#0077B6";
};
export { descriptionId } from "./accessibility/description-id";
export { focusHalo, focusHaloSpaced } from "./accessibility/focus-halo";
export { generateSourceId } from "./accessibility/generate-source-id";
export { visuallyHidden } from "./accessibility/visually-hidden";
export { transitions } from "./animation/transitions";
export type { Breakpoint } from "./breakpoints/breakpoints";
export { breakpoints } from "./breakpoints/breakpoints";
export { between, from, until } from "./mq/mq";
export { palette, brand, brandAlt, neutral, error, success, news, opinion, sport, culture, lifestyle, labs, specialReport, focus, body as bodyObjectStyles, headline as headlineObjectStyles, textSans as textSansObjectStyles, titlepiece as titlepieceObjectStyles };
export { background, brandBackground, brandAltBackground, border, brandBorder, brandAltBorder, line, brandLine, brandAltLine, text, brandText, brandAltText } from "./colour/palette";
export { height, iconSize, remHeight, remWidth, size, width } from "./size/size";
export { space, remSpace } from "./space/space";
export { titlepiece, headline, body, textSans, titlepieceSizes, headlineSizes, bodySizes, textSansSizes, remTitlepieceSizes, remHeadlineSizes, remBodySizes, remTextSansSizes, fontMapping as fonts, fontWeightMapping as fontWeights, lineHeightMapping as lineHeights } from "./typography/index";
export type { ScaleUnit, Category, LineHeight, FontWeight, FontStyle, FontWeightDefinition, Option, TypographyStyles, TypographySizes, TitlepieceSizes, HeadlineSizes, BodySizes, TextSansSizes, Fs, FontScaleFunction, FontScaleFunctionStr, FontScaleArgs } from "./types-fce00180";
export { appearance } from "./utils/supports-queries";
export { FocusStyleManager } from "./accessibility/focus-style-manager";
export { pxToRem, rootPixelFontSize } from "./utils/px-to-rem";
export { resets } from "./utils/resets";
export { svgBackgroundImage } from "./utils/svg-background-image";
//# sourceMappingURL=index.d.ts.map