import { Category, FontWeight, FontWeightDefinition } from "../types-fce00180";
declare const titlepieceSizes: {
    readonly small: 42;
    readonly medium: 50;
    readonly large: 70;
};
declare const headlineSizes: {
    readonly xxxsmall: 17;
    readonly xxsmall: 20;
    readonly xsmall: 24;
    readonly small: 28;
    readonly medium: 34;
    readonly large: 42;
    readonly xlarge: 50;
};
declare const bodySizes: {
    readonly xsmall: 14;
    readonly small: 15;
    readonly medium: 17;
};
declare const textSansSizes: {
    readonly xxsmall: 12;
    readonly xsmall: 14;
    readonly small: 15;
    readonly medium: 17;
    readonly large: 20;
    readonly xlarge: 24;
    readonly xxlarge: 28;
    readonly xxxlarge: 34;
};
declare const fontSizeMapping: {
    readonly titlepiece: {
        readonly small: 42;
        readonly medium: 50;
        readonly large: 70;
    };
    readonly headline: {
        readonly xxxsmall: 17;
        readonly xxsmall: 20;
        readonly xsmall: 24;
        readonly small: 28;
        readonly medium: 34;
        readonly large: 42;
        readonly xlarge: 50;
    };
    readonly body: {
        readonly xsmall: 14;
        readonly small: 15;
        readonly medium: 17;
    };
    readonly textSans: {
        readonly xxsmall: 12;
        readonly xsmall: 14;
        readonly small: 15;
        readonly medium: 17;
        readonly large: 20;
        readonly xlarge: 24;
        readonly xxlarge: 28;
        readonly xxxlarge: 34;
    };
};
declare const remFontSizes: number[];
declare const remTitlepieceSizes: {
    readonly small: number;
    readonly medium: number;
    readonly large: number;
};
declare const remHeadlineSizes: {
    readonly xxxsmall: number;
    readonly xxsmall: number;
    readonly xsmall: number;
    readonly small: number;
    readonly medium: number;
    readonly large: number;
    readonly xlarge: number;
};
declare const remBodySizes: {
    readonly xsmall: number;
    readonly small: number;
    readonly medium: number;
};
declare const remTextSansSizes: {
    readonly xxsmall: number;
    readonly xsmall: number;
    readonly small: number;
    readonly medium: number;
    readonly large: number;
    readonly xlarge: number;
    readonly xxlarge: number;
    readonly xxxlarge: number;
};
declare const remFontSizeMapping: {
    readonly titlepiece: {
        readonly small: number;
        readonly medium: number;
        readonly large: number;
    };
    readonly headline: {
        readonly xxxsmall: number;
        readonly xxsmall: number;
        readonly xsmall: number;
        readonly small: number;
        readonly medium: number;
        readonly large: number;
        readonly xlarge: number;
    };
    readonly body: {
        readonly xsmall: number;
        readonly small: number;
        readonly medium: number;
    };
    readonly textSans: {
        readonly xxsmall: number;
        readonly xsmall: number;
        readonly small: number;
        readonly medium: number;
        readonly large: number;
        readonly xlarge: number;
        readonly xxlarge: number;
        readonly xxxlarge: number;
    };
};
declare const fontMapping: {
    readonly titlepiece: "GT Guardian Titlepiece, Georgia, serif";
    readonly headline: "GH Guardian Headline, Guardian Egyptian Web, Georgia, serif";
    readonly body: "GuardianTextEgyptian, Guardian Text Egyptian Web, Georgia, serif";
    readonly textSans: "GuardianTextSans, Guardian Text Sans Web, Helvetica Neue, Helvetica, Arial, Lucida Grande, sans-serif";
};
declare const lineHeightMapping: {
    readonly tight: 1.15;
    readonly regular: 1.35;
    readonly loose: 1.5;
};
declare const fontWeightMapping: {
    readonly light: 300;
    readonly regular: 400;
    readonly medium: 500;
    readonly bold: 700;
};
declare const availableFonts: {
    [cat in Category]: {
        [fontWeight in FontWeight]?: FontWeightDefinition;
    };
};
export { titlepieceSizes, headlineSizes, bodySizes, textSansSizes, remFontSizes, remTitlepieceSizes, remHeadlineSizes, remBodySizes, remTextSansSizes, remFontSizeMapping, fontMapping, fontSizeMapping, lineHeightMapping, fontWeightMapping, availableFonts };
