import { titlepiece as titlepiece$1, headline as headline$1, body as body$1, textSans as textSans$1 } from './api.js';
export { bodySizes, fontMapping, fontWeightMapping, headlineSizes, lineHeightMapping, remBodySizes, remHeadlineSizes, remTextSansSizes, remTitlepieceSizes, textSansSizes, titlepieceSizes } from './data.js';
import { objectStylesToString } from './object-styles-to-string.js';

/**
 * [Storybook](https://guardian.github.io/source/?path=/docs/packages-source-foundations-typography--page#titlepiece) •
 * [Design System](https://theguardian.design/2a1e5182b/p/602314-typography/t/358767)
 *
 * ```
 * font-family: 'GT Guardian Titlepiece';
 * ```
 */
const titlepiece = {
    small: (options) => objectStylesToString(titlepiece$1.small(options)),
    medium: (options) => objectStylesToString(titlepiece$1.medium(options)),
    large: (options) => objectStylesToString(titlepiece$1.large(options)),
};
/**
 * [Storybook](https://guardian.github.io/source/?path=/docs/packages-source-foundations-typography--page#headline) •
 * [Design System](https://theguardian.design/2a1e5182b/p/602314-typography/t/7310bd)
 *
 * ```
 * font-family: 'GH Guardian Headline';
 * ```
 */
const headline = {
    xxxsmall: (options) => objectStylesToString(headline$1.xxxsmall(options)),
    xxsmall: (options) => objectStylesToString(headline$1.xxsmall(options)),
    xsmall: (options) => objectStylesToString(headline$1.xsmall(options)),
    small: (options) => objectStylesToString(headline$1.small(options)),
    medium: (options) => objectStylesToString(headline$1.medium(options)),
    large: (options) => objectStylesToString(headline$1.large(options)),
    xlarge: (options) => objectStylesToString(headline$1.xlarge(options)),
};
/**
 * [Storybook](https://guardian.github.io/source/?path=/docs/packages-source-foundations-typography--page#body) •
 * [Design System](https://theguardian.design/2a1e5182b/p/602314-typography/t/88cd8e)
 *
 * ```
 * font-family: 'GuardianTextEgyptian';
 * ```
 */
const body = {
    xsmall: (options) => objectStylesToString(body$1.small(options)),
    small: (options) => objectStylesToString(body$1.small(options)),
    medium: (options) => objectStylesToString(body$1.medium(options)),
};
/**
 * [Storybook](https://guardian.github.io/source/?path=/docs/packages-source-foundations-typography--page#text-sans) •
 * [Design System](https://theguardian.design/2a1e5182b/p/602314-typography/t/076605)
 *
 * ```
 * font-family: 'GuardianTextSans';
 * ```
 */
const textSans = {
    xxsmall: (options) => objectStylesToString(textSans$1.xxsmall(options)),
    xsmall: (options) => objectStylesToString(textSans$1.xsmall(options)),
    small: (options) => objectStylesToString(textSans$1.small(options)),
    medium: (options) => objectStylesToString(textSans$1.medium(options)),
    large: (options) => objectStylesToString(textSans$1.large(options)),
    xlarge: (options) => objectStylesToString(textSans$1.xlarge(options)),
    xxlarge: (options) => objectStylesToString(textSans$1.xxlarge(options)),
    xxxlarge: (options) => objectStylesToString(textSans$1.xxxlarge(options)),
};

export { body, headline, textSans, titlepiece };
//# sourceMappingURL=index.js.map
